CGAL 6.1.2 - CGAL Basic Viewer: GraphicsSceneOptionsWithVolumes Concept Reference

CGAL 6.1.2 - CGAL Basic Viewer

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions | Public Attributes
GraphicsSceneOptionsWithVolumes Concept Reference
Reference Manual » Concepts

## Definition

The concept `GraphicsSceneOptionsWithVolumes` extends the concept `GraphicsSceneOptions` to deal with data structures that represent volumes.

Refines
  `GraphicsSceneOptions`

Has models
  `CGAL::Graphics_scene_options<DS, VertexDescriptor, EdgeDescriptor, FaceDescriptor, VolumeDescriptor>`

## Public Types
typedef unspecified_type | volume_descriptor
| A descriptor of volumes of `DS`.

## Public Member Functions
void | ignore_all_volumes (bool b)
| ignores all volumes when `b` is `true`; otherwise ignore only volumes for which `ignore_volume()` returns `true`.

## Public Attributes
std::function< bool(const DS &, volume_descriptor)> | ignore_volume
| `std::function` that returns `true` if the given volume must be ignored, `false` otherwise.
std::function< bool(const DS &, volume_descriptor)> | is_volume_colored
| `std::function` that returns `true` if the given volume is colored, `false` otherwise.
std::function< bool(const DS &, volume_descriptor)> | is_volume_wireframe
| `std::function` that returns `true` if the given volume is in wireframe, `false` otherwise.
std::function< CGAL::IO::Color(const DS &, volume_descriptor)> | volume_color
| `std::function` that returns the color of the given volume, i.e.

## Member Data Documentation

## ◆ ignore_volume

std::function<bool(const DS &, volume_descriptor)> GraphicsSceneOptionsWithVolumes::ignore_volume

`std::function` that returns `true` if the given volume must be ignored, `false` otherwise.

Returns `false` by default.

## ◆ is_volume_colored

std::function<bool(const DS &, volume_descriptor)> GraphicsSceneOptionsWithVolumes::is_volume_colored

`std::function` that returns `true` if the given volume is colored, `false` otherwise.

For non colored volumes, this is the role of the user of a graphic scene to decide which color must be used (cf. for example `Basic_viewer`, `faces_mono_color`). Returns `false` by default.

## ◆ is_volume_wireframe

std::function<bool(const DS &, volume_descriptor)> GraphicsSceneOptionsWithVolumes::is_volume_wireframe

`std::function` that returns `true` if the given volume is in wireframe, `false` otherwise.

Returns `false` by default.

## ◆ volume_color

std::function<CGAL::IO::Color(const DS &, volume_descriptor)> GraphicsSceneOptionsWithVolumes::volume_color

`std::function` that returns the color of the given volume, i.e.

the color of all the faces of this volume. `nullptr` by default.